<?php
/**
 * Plugin Name: WooCommerce Show Download URL
 * Description: Displays the download URL for digital products on the WooCommerce product page, just below the short description.
 * Version: 1.0
 * Author: EasyToolsWP
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

// Hook to display download URL below the short description
add_action('woocommerce_single_product_summary', 'display_download_url_below_short_description', 21);

function display_download_url_below_short_description() {
    global $product;

    // Check if the product is downloadable
    if ($product->is_downloadable()) {
        $downloads = $product->get_downloads();

        if (!empty($downloads)) {
            echo '<div class="product-download-urls">';
            echo '<h2>Download Link</h2>'; // You can change this title if needed
            echo '<ul>';

            foreach ($downloads as $download) {
                echo '<li><a href="' . esc_url($download['file']) . '" target="_blank">' . esc_html($download['name']) . '</a></li>';
            }

            echo '</ul>';
            echo '</div>';
        }
    }
}
